Functions
IT_Management
Peripheral Driver » LL Driver » PKC » Functions

## Functions
__STATIC_INLINE void | ll_pkc_enable_it_done (pkc_regs_t *PKCx)
| Enable the operation done interrupt. More...
__STATIC_INLINE void | ll_pkc_enable_it_err (pkc_regs_t *PKCx)
| Enable the operation error interrupt. More...
__STATIC_INLINE void | ll_pkc_enable_it_big_add_overflow (pkc_regs_t *PKCx)
| Enable the big integer overflow interrupt. More...
__STATIC_INLINE void | ll_pkc_disable_it_done (pkc_regs_t *PKCx)
| Disable the operation done interrupt. More...
__STATIC_INLINE void | ll_pkc_disable_it_err (pkc_regs_t *PKCx)
| Disable the operation error interrupt. More...
__STATIC_INLINE void | ll_pkc_disable_it_big_add_overflow (pkc_regs_t *PKCx)
| Disable the big integer overflow interrupt. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enable_it_done (pkc_regs_t *PKCx)
| Indicate whether the operation done interrupt is enable. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enable_it_err (pkc_regs_t *PKCx)
| Indicate whether the operation error interrupt is enable. More...
__STATIC_INLINE uint32_t | ll_pkc_is_enable_it_big_add_overflow (pkc_regs_t *PKCx)
| Indicate whether the big integer overflow interrupt is enable. More...

## Detailed Description

## Function Documentation

## ◆ ll_pkc_disable_it_big_add_overflow()

__STATIC_INLINE void ll_pkc_disable_it_big_add_overflow | ( | pkc_regs_t * | PKCx | ) |

Disable the big integer overflow interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | BAOVF | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2772 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_it_done()

__STATIC_INLINE void ll_pkc_disable_it_done | ( | pkc_regs_t * | PKCx | ) |

Disable the operation done interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | DONE | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2734 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_disable_it_err()

__STATIC_INLINE void ll_pkc_disable_it_err | ( | pkc_regs_t * | PKCx | ) |

Disable the operation error interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | ERR | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2753 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_it_big_add_overflow()

__STATIC_INLINE void ll_pkc_enable_it_big_add_overflow | ( | pkc_regs_t * | PKCx | ) |

Enable the big integer overflow interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | BAOVF | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2715 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_it_done()

__STATIC_INLINE void ll_pkc_enable_it_done | ( | pkc_regs_t * | PKCx | ) |

Enable the operation done interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | DONE | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2677 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_enable_it_err()

__STATIC_INLINE void ll_pkc_enable_it_err | ( | pkc_regs_t * | PKCx | ) |

Enable the operation error interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | ERR | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2696 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enable_it_big_add_overflow()

__STATIC_INLINE uint32_t ll_pkc_is_enable_it_big_add_overflow | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the big integer overflow interrupt is enable.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | BAOVF | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2829 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enable_it_done()

__STATIC_INLINE uint32_t ll_pkc_is_enable_it_done | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the operation done interrupt is enable.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | DONE | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2791 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_enable_it_err()

__STATIC_INLINE uint32_t ll_pkc_is_enable_it_err | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the operation error interrupt is enable.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | ERR | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2810 of file gr55xx_ll_pkc.h.